Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.web
Class AbstractFilterInvocationDefinitionSource

    java.lang.Object
      org.acegisecurity.intercept.web.AbstractFilterInvocationDefinitionSource

All Implemented Interfaces:
  ObjectDefinitionSource, FilterInvocationDefinitionSource

Direct Known Subclasses:
  PathBasedFilterInvocationDefinitionMap, RegExpBasedFilterInvocationDefinitionMap

    public abstract class AbstractFilterInvocationDefinitionSource

extends Object
implements FilterInvocationDefinitionSource

Abstract implementation of `FilterInvocationDefinitionSource`.

Version:
  $Id: AbstractFilterInvocationDefinitionSource.java,v 1.3 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`AbstractFilterInvocationDefinitionSource()`

Method Summary
`ConfigAttributeDefinition` | `getAttributes(Object object)` Accesses the `ConfigAttributeDefinition` that applies to a given secure object.
`abstract ConfigAttributeDefinition` | `lookupAttributes(String url)` Performs the actual lookup of the relevant `ConfigAttributeDefinition` for the specified `FilterInvocation`.
`boolean` | `supports(Class clazz)` Indicates whether the `ObjectDefinitionSource` implementation is able to provide `ConfigAttributeDefinition`s for the indicated secure object type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.intercept.ObjectDefinitionSource
`getConfigAttributeDefinitions`

Constructor Detail

### AbstractFilterInvocationDefinitionSource

    public AbstractFilterInvocationDefinitionSource()

Method Detail

### getAttributes

    public ConfigAttributeDefinition getAttributes(Object object)
                                            throws IllegalArgumentException

  Description copied from interface: `ObjectDefinitionSource`
  Accesses the `ConfigAttributeDefinition` that applies to a given secure object.

  Returns `null` if no `ConfigAttribiteDefinition` applies.

  Specified by:
    `getAttributes` in interface `ObjectDefinitionSource`
  Parameters:
    `object` - the object being secured
  Returns:
    the `ConfigAttributeDefinition` that applies to the passed object
  Throws:
    `IllegalArgumentException` - if the passed object is not of a type supported by the `ObjectDefinitionSource` implementation

### lookupAttributes

    public abstract ConfigAttributeDefinition lookupAttributes(String url)

  Performs the actual lookup of the relevant `ConfigAttributeDefinition` for the specified `FilterInvocation`.

  Provided so subclasses need only to provide one basic method to properly interface with the `FilterInvocationDefinitionSource`.

  Public visiblity so that tablibs or other view helper classes can access the `ConfigAttributeDefinition` applying to a given URI pattern without needing to construct a mock `FilterInvocation` and retrieving the attibutes via the `getAttributes(Object)` method.

  Parameters:
    `url` - the URI to retrieve configuration attributes for
  Returns:
    the `ConfigAttributeDefinition` that applies to the specified `FilterInvocation`

### supports

    public boolean supports(Class clazz)

  Description copied from interface: `ObjectDefinitionSource`
  Indicates whether the `ObjectDefinitionSource` implementation is able to provide `ConfigAttributeDefinition`s for the indicated secure object type.

  Specified by:
    `supports` in interface `ObjectDefinitionSource`
  Parameters:
    `clazz` - the class that is being queried
  Returns:
    true if the implementation can process the indicated class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.